Tecnología

Apps de Android van a desaparecer de la noche a la mañana por esta razón

  • Toda nueva app debe de tener el nivel API de Android lanzado hace menos de un año
  • Esto afectará a las apps más antiguas que no puedan actualizarse a la última API

Google ha anunciado que va a extender los requisitos de seguridad y privacidad de la Play Store lo que causará que se eliminen las apps más antiguas de la Play Store si no actualizan sus sistemas con la política de Android.

Es casi imposible conocer todas las apps que existen en la Play Store de Google, desde que se lanzó en 2008, desarrolladores de todo el mundo no han parado de subir nuevos juegos, servicios y plataformas de todo tipo. A su vez, a medida que el ecosistema Android iba creciendo en contenido y usuarios, la compañía tenía que actualizarse para poder garantizar la seguridad de todos ellos.

Google no solo tiene funciones y políticas específicas para la protección de los usuarios, sino que con cada actualización del sistema operativo de Android incorpora más mejoras en la privacidad y seguridad. Actualmente la compañía requiere que todas las apps nuevas o ya existentes en la Play Store tengan por lo menos el nivel API actualizado desde hace menos de un año, es decir que hayan sido actualizados con la última interfaz que ha publicado Android en el último año.

Es un requisito indispensable, y si alguna app no lo cumple no se podrá publicar en la Play Store. Pero hoy, Google ha anunciado que estos requisitos van a ir más allá, y van a extender el número de aplicaciones que tienen que cumplir los requisitos API para asegurar que la seguridad de los usuarios no se ponga en riesgo.

Por eso, a partir del 1 de noviembre de este año, todas las apps que no tengan el nivel de API de hasta dos años atrás no podrán ser buscadas ni descargadas por usuarios con dispositivos con una versión del sistema operativo de Android superior a la que deben alcanzar estas apps. Esto se irá ajustando a medida que aparezcan nuevas actualizaciones del sistema operativo en el futuro.

El motivo de esta decisión se debe a que los usuarios tienen cada vez dispositivos más seguros, por lo que era necesario que la tienda de aplicaciones de Android ofreciese contenidos que garanticen la seguridad de estos. Ampliar los requisitos de API de nivel protegerá a los usuarios de instalar aplicaciones más antiguas que pueden no tener estas protecciones implementadas.

No se sabe cuántas apps desaparecerán, aunque la gran mayoría de apps ya cumple con estos requisitos, pero para aquellas que no, Google les ha dado margen de tiempo además de ofrecer ayuda a los desarrolladores de esta para que se actualicen.

comentarios0WhatsAppWhatsAppFacebookFacebookTwitterTwitterLinkedinlinkedin
FacebookTwitterlinkedin